%define upstream_name    Gravatar-URL
%define upstream_version 1.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    OMG UNICORN AVATAR!
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Gravatar/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build)
BuildRequires: perl(Carp)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Net::DNS) >= 1.10.0
BuildRequires: perl(URI::Escape)
BuildRequires: perl(parent)
BuildRequires: perl(URI::Escape)
# Tests
BuildRequires: perl(Test::MockRandom) >= 1.10.0
BuildRequires: perl(Test::More) >= 0.400.0
BuildRequires: perl(Test::Warn) >= 0.110.0

BuildArch:  noarch

%description
A Gravatar is a Globally Recognized Avatar for a given email address. This
allows you to have a global picture associated with your email address. You
can look up the Gravatar for any email address by constructing a URL to get
the image from the gravatar.com manpage. This module does that.

Examples of use include the author faces on the http://search.cpan.org
manpage.

See the http://gravatar.com manpage for more info.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.70.0-7.mga10
+ Revision: 2203975
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.70.0-6.mga9
+ Revision: 1809393
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.70.0-5.mga8
+ Revision: 1504600
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.70.0-4.mga7
+ Revision: 1283951
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.70.0-3.mga7
+ Revision: 1164592
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 1.70.0-2.mga7
+ Revision: 1155418
- add missing BRs
+ shlomif <shlomif>
- New version 1.07

* Sun Jun 19 2016 pterjan <pterjan> 1.60.0-8.mga6
+ Revision: 1027968
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.60.0-7.mga6
+ Revision: 948934
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.60.0-6.mga5
+ Revision: 788706
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.60.0-5.mga5
+ Revision: 742523
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.60.0-4.mga5
+ Revision: 684896
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.60.0-3.mga4
+ Revision: 511942
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-2.mga3
+ Revision: 367867
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 shlomif <shlomif> 1.60.0-1.mga3
+ Revision: 335182
- Missing BRs
- imported package perl-Gravatar-URL


* Tue Dec 25 2012 cpan2dist 1.06-1mga
- initial mageia release, generated with cpan2dist
